#!/sbin/sh
busybox mount -rw /system

cat /system/etc/wifi/wpa_supplicant.conf > /system/etc/wifi/wpa_supplicant.conf.bak
echo "
# SKT T wifi zone
network={
	ssid="T wifi zone"
	key_mgmt=NONE
	priority=1
	vendor_spec_ssid=1
	}
	
# SKT T wifi zone_secure
network={
	ssid="T wifi zone_secure"
	key_mgmt=WPA-EAP IEEE8021X
	eap=AKA
	priority=2
	vendor_spec_ssid=1
	}
	
# KT ollehWiFi
network={
	ssid="ollehWiFi"
	key_mgmt=WPA-EAP IEEE8021X
	eap=AKA
	priority=1
	}
	
# ollehWiFi
network={
	ssid="ollehWiFi"
	key_mgmt=WPA-EAP
	eap=AKA
	priority=99999
	}
	
# NESPOT
network={
	ssid="NESPOT"
	key_mgmt=NONE
	priority=99997
	}
	
# AT&T SSID for EAP-SIM and EAP-AKA
network={
	ssid="Z736563757265"
	preloaded_ssid=1
	key_mgmt=WPA-EAP IEEE8021X
	eap=AKA SIM
	pcsc="AndroidPcsc"
	skip_auto_connect=0
	priority=99999
	}
	
# AT&T SSID for WiSPR
network={
	ssid="attwifi"
	preloaded_ssid=1
	key_mgmt=NONE
	skip_auto_connect=0
	priority=99998
	}
	
network={
	ssid="attmetrowifi"
	preloaded_ssid=1
	key_mgmt=NONE
	skip_auto_connect=0
	priority=99997
	}
	
network={
	ssid="Wayport_Access"
	preloaded_ssid=1
	key_mgmt=NONE
	skip_auto_connect=0
	priority=99996
	}">> /system/etc/wifi/wpa_supplicant.conf
