#!/system/bin/sh

if
	busybox [ "`busybox grep Pepper-Tool /system/build.prop`" ];
then
	echo "Pepper-Tool was already done."
else
	cat /system/build.prop > /system/build.prop.bak
	echo -e "\n#Pepper-Tool" >> /system/build.prop
	echo -e "\n#Helps scrolling responsiveness\nwindowsmgr.max_events_per_sec=150" >> /system/build.prop
	echo -e "\n#Increase GPU performance\nro.gpu.driver=1\nro.product.gpu.driver=1" >> /system/build.prop
	echo -e "\n#Increase 3D Graphic\nro.ril.spender.bending=1" >> /system/build.prop
	echo -e "\n#Save battery\npm.sleep_mode=1\nro.ril.disable.power.collapse=0" >> /system/build.prop
	echo -e "\n#Accelerate GPU\ndebug.sf.showupdataes=0\ndebug.sf.showcpu=0\ndebug.sf.showbackground=0\ndebug.sf.showfps=0\nhw3d.force=1" >> /system/build.prop
	echo -e "\n#Video Hardware Accelerate\nvideo.accelerate.hw=1" >> /system/build.prop
	echo -e "\n#Fix some application issues\nro.kernel.android.checkjni=0" >> /system/build.prop
	echo -e "\n#Render UI with GPU\ndebug.sf.hw=1\ndebug.performance.tuning=1\npersist.sys.composition.type=gpu" >> /system/build.prop
	echo -e "\n#Increase market speed\nro.HorizontalVVM=true\nro.HorizontalBUA=true" >> /system/build.prop
	echo -e "\n#Increas 3G speed\nro.ril.hsxpa=2\nro.ril.gprsclass=12\nro.ril.hsdpa.category=28\nro.ril.hsupa.category=9\nro.ril.hep=1\nro.ril.enable.3g.prefix=1\nro.ril.enable.a52=0\nro.ril.enable.a53=1\nro.ril.enable.dtm=1 " >> /system/build.prop 
fi